Index: /Trunk/AILogSizeSort.h
===================================================================
--- /Trunk/AILogSizeSort.h	(revision 3)
+++ /Trunk/AILogSizeSort.h	(revision 3)
@@ -0,0 +1,16 @@
+//
+//  AILogSizeSort.h
+//  SortByLogSizePlugin
+//
+//  Created by Jon Chambers on 9/28/08.
+//  Copyright 2008 Jon Chambers. All rights reserved.
+//
+
+#import <Adium/AISortController.h>
+
+@interface AILogSizeSort : AISortController
+{
+
+}
+
+@end
Index: /Trunk/AILogSizeSort.m
===================================================================
--- /Trunk/AILogSizeSort.m	(revision 3)
+++ /Trunk/AILogSizeSort.m	(revision 3)
@@ -0,0 +1,106 @@
+//
+//  AILogSizeSort.m
+//  SortByLogSizePlugin
+//
+//  Created by Jon Chambers on 9/28/08.
+//  Copyright 2008 Jon Chambers. All rights reserved.
+//
+
+#import "AILogSizeSort.h"
+
+#import <AIUtilities/AITigerCompatibility.h> 
+#import <AIUtilities/AIStringUtilities.h>
+#import <Adium/AIContactControllerProtocol.h>
+#import <Adium/AIPreferenceControllerProtocol.h>
+#import <AIUtilities/AIDictionaryAdditions.h>
+#import <Adium/AIListObject.h>
+
+@implementation AILogSizeSort
+
+/*!
+ * @brief Did become active first time
+ *
+ * Called only once; gives the sort controller an opportunity to set defaults and load preferences lazily.
+ */
+- (void)didBecomeActiveFirstTime
+{
+}
+
+/*!
+ * @brief Non-localized identifier
+ */
+- (NSString *)identifier{
+    return @"Log size";
+}
+
+/*!
+ * @brief Localized display name
+ */
+- (NSString *)displayName{
+    return AILocalizedString(@"Sort Contacts by Log Size",nil);
+}
+
+/*!
+ * @brief Properties which, when changed, should trigger a resort
+ */
+- (NSSet *)statusKeysRequiringResort{
+	return nil;
+}
+
+/*!
+ * @brief Attribute keys which, when changed, should trigger a resort
+ */
+- (NSSet *)attributeKeysRequiringResort{
+	return nil;
+}
+
+#pragma mark Configuration
+/*!
+ * @brief Window title when configuring the sort
+ *
+ * Subclasses should provide a title for configuring the sort only if configuration is possible.
+ * @result Localized title. If nil, the menu item will be disabled.
+ */
+- (NSString *)configureSortWindowTitle{
+	return AILocalizedString(@"Configure Sort by Log Size",nil);	
+}
+
+/*!
+ * @brief Nib name for configuration
+ */
+- (NSString *)configureNibName{
+	return @"LogSizeSortConfiguration";
+}
+
+/*!
+ * @brief View did load
+ */
+- (void)viewDidLoad{
+}
+
+/*!
+ * @brief Preference changed
+ *
+ * Sort controllers should live update as preferences change.
+ */
+- (IBAction)changePreference:(id)sender
+{
+}
+
+#pragma mark Sorting
+/*!
+ * @brief Alphabetical sort
+ */
+int alphabeticalSort(id objectA, id objectB, BOOL groups)
+{
+	return NSOrderedAscending;
+}
+
+/*!
+ * @brief Sort function
+ */
+- (sortfunc)sortFunction{
+	return &alphabeticalSort;
+}
+
+@end
Index: /Trunk/SortByLogSizePlugin.xcodeproj/jon.mode1v3
===================================================================
--- /Trunk/SortByLogSizePlugin.xcodeproj/jon.mode1v3	(revision 2)
+++ /Trunk/SortByLogSizePlugin.xcodeproj/jon.mode1v3	(revision 3)
@@ -272,4 +272,6 @@
 								<string>08FB77AFFE84173DC02AAC07</string>
 								<string>089C1671FE841209C02AAC07</string>
+								<string>FCB319610E8FF7A200D88232</string>
+								<string>FC1981780E9008FB0021C71E</string>
 								<string>1C37FBAC04509CD000000102</string>
 								<string>1C37FABC05509CD000000102</string>
@@ -278,5 +280,5 @@
 							<array>
 								<array>
-									<integer>3</integer>
+									<integer>5</integer>
 									<integer>1</integer>
 									<integer>0</integer>
@@ -323,5 +325,5 @@
 								<string>1CE0B20306471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>ABSortByLogSizePlugin.m</string>
+								<string>AILogSizeSort.m</string>
 								<key>PBXSplitModuleInNavigatorKey</key>
 								<dict>
@@ -331,9 +333,9 @@
 										<string>1CE0B20406471E060097A5F4</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ABSortByLogSizePlugin.m</string>
+										<string>AILogSizeSort.m</string>
 										<key>_historyCapacity</key>
 										<integer>0</integer>
 										<key>bookmark</key>
-										<string>FCB31D940E9007A200D88232</string>
+										<string>FC19842B0E9020140021C71E</string>
 										<key>history</key>
 										<array>
@@ -341,9 +343,15 @@
 											<string>FCB31A090E8FFC7B00D88232</string>
 											<string>FCB31AA90E9001E700D88232</string>
-											<string>FCB31AAA0E9001E700D88232</string>
 											<string>FCB31D7F0E90072D00D88232</string>
 											<string>FCB31D810E90072D00D88232</string>
 											<string>FCB31D830E90072D00D88232</string>
-											<string>FCB31D850E90072D00D88232</string>
+											<string>FC1983610E900B130021C71E</string>
+											<string>FC1983BE0E9016AA0021C71E</string>
+											<string>FC1983C00E9016AA0021C71E</string>
+											<string>FC1983C10E9016AA0021C71E</string>
+											<string>FC1984090E901A060021C71E</string>
+											<string>FC1984180E901CE00021C71E</string>
+											<string>FC1984280E9020140021C71E</string>
+											<string>FC1984290E9020140021C71E</string>
 										</array>
 										<key>prevStack</key>
@@ -354,8 +362,32 @@
 											<string>FCB31A800E8FFD6200D88232</string>
 											<string>FCB31A810E8FFD6200D88232</string>
-											<string>FCB31D860E90072D00D88232</string>
 											<string>FCB31D870E90072D00D88232</string>
 											<string>FCB31D890E90072D00D88232</string>
 											<string>FCB31D8B0E90072D00D88232</string>
+											<string>FC1983670E900B130021C71E</string>
+											<string>FC1983680E900B130021C71E</string>
+											<string>FC19836A0E900B130021C71E</string>
+											<string>FC19836C0E900B130021C71E</string>
+											<string>FC1983B40E9014CB0021C71E</string>
+											<string>FC1983C30E9016AA0021C71E</string>
+											<string>FC1983C40E9016AA0021C71E</string>
+											<string>FC1983C50E9016AA0021C71E</string>
+											<string>FC1983C60E9016AA0021C71E</string>
+											<string>FC1983C70E9016AA0021C71E</string>
+											<string>FC1983C80E9016AA0021C71E</string>
+											<string>FC1983CA0E9016AA0021C71E</string>
+											<string>FC1983CB0E9016AA0021C71E</string>
+											<string>FC1983DE0E9018B90021C71E</string>
+											<string>FC19840B0E901A060021C71E</string>
+											<string>FC19840C0E901A060021C71E</string>
+											<string>FC19840D0E901A060021C71E</string>
+											<string>FC19840E0E901A060021C71E</string>
+											<string>FC19840F0E901A060021C71E</string>
+											<string>FC1984100E901A060021C71E</string>
+											<string>FC1984140E901B780021C71E</string>
+											<string>FC1984150E901B780021C71E</string>
+											<string>FC19841A0E901CE00021C71E</string>
+											<string>FC1984250E901F6A0021C71E</string>
+											<string>FC19842A0E9020140021C71E</string>
 										</array>
 									</dict>
@@ -415,7 +447,7 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>FCB31D8E0E90072D00D88232</string>
+				<string>FC1981880E9008FF0021C71E</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>FCB31D8F0E90072D00D88232</string>
+				<string>FC1981890E9008FF0021C71E</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20506471E060097A5F4</string>
@@ -552,4 +584,5 @@
 	<array>
 		<string>FCB31A100E8FFC7B00D88232</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>/Users/jon/src/SortByLogSizePlugin/SortByLogSizePlugin.xcodeproj</string>
 	</array>
@@ -571,4 +604,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -576,5 +611,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string></string>
+								<string>AILogSizeSort.m</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -632,5 +667,5 @@
 			<array>
 				<string>FCB31A100E8FFC7B00D88232</string>
-				<string>FCB31D900E90072D00D88232</string>
+				<string>FC1983CD0E9016AA0021C71E</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -748,6 +783,10 @@
 		</dict>
 		<dict>
+			<key>FirstTimeWindowDisplayed</key>
+			<false/>
 			<key>Identifier</key>
 			<string>windowTool.find</string>
+			<key>IsVertical</key>
+			<true/>
 			<key>Layout</key>
 			<array>
@@ -764,24 +803,14 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
-										<key>PBXSplitModuleInNavigatorKey</key>
-										<dict>
-											<key>Split0</key>
-											<dict>
-												<key>PBXProjectModuleGUID</key>
-												<string>1CD0528D0623707200166675</string>
-											</dict>
-											<key>SplitCount</key>
-											<string>1</string>
-										</dict>
+										<string></string>
 										<key>StatusBarVisibility</key>
-										<integer>1</integer>
+										<true/>
 									</dict>
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{0, 0}, {781, 167}}</string>
+										<string>{{0, 0}, {781, 212}}</string>
 										<key>RubberWindowFrame</key>
-										<string>62 385 781 470 0 0 1440 878 </string>
+										<string>109 320 781 470 0 0 1440 878 </string>
 									</dict>
 									<key>Module</key>
@@ -792,9 +821,9 @@
 							</array>
 							<key>Proportion</key>
-							<string>50%</string>
+							<string>212pt</string>
 						</dict>
 						<dict>
 							<key>BecomeActive</key>
-							<integer>1</integer>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -807,16 +836,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{8, 0}, {773, 254}}</string>
+								<string>{{0, 217}, {781, 212}}</string>
 								<key>RubberWindowFrame</key>
-								<string>62 385 781 470 0 0 1440 878 </string>
+								<string>109 320 781 470 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXProjectFindModule</string>
 							<key>Proportion</key>
-							<string>50%</string>
+							<string>212pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>428pt</string>
+					<string>429pt</string>
 				</dict>
 			</array>
@@ -828,21 +857,19 @@
 			</array>
 			<key>StatusbarIsVisible</key>
-			<integer>1</integer>
+			<true/>
 			<key>TableOfContents</key>
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>1C530D58069F1CE1000CFCEE</string>
-				<string>1C530D59069F1CE1000CFCEE</string>
+				<string>FC19834C0E900A530021C71E</string>
+				<string>FC19834D0E900A530021C71E</string>
 				<string>1CDD528C0622207200134675</string>
-				<string>1C530D5A069F1CE1000CFCEE</string>
-				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>62 385 781 470 0 0 1440 878 </string>
+			<string>109 320 781 470 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<integer>0</integer>
+			<false/>
 		</dict>
 		<dict>
Index: /Trunk/SortByLogSizePlugin.xcodeproj/project.pbxproj
===================================================================
--- /Trunk/SortByLogSizePlugin.xcodeproj/project.pbxproj	(revision 2)
+++ /Trunk/SortByLogSizePlugin.xcodeproj/project.pbxproj	(revision 3)
@@ -10,4 +10,5 @@
 		8D5B49B0048680CD000E48DA /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 089C167DFE841241C02AAC07 /* InfoPlist.strings */; };
 		8D5B49B4048680CD000E48DA /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7ADFEA557BF11CA2CBB /* Cocoa.framework */; };
+		FC1983600E900AF10021C71E /* AILogSizeSort.m in Sources */ = {isa = PBXBuildFile; fileRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */; };
 		FCB319640E8FF7A200D88232 /* Adium.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = FCB319610E8FF7A200D88232 /* Adium.framework */; };
 		FCB319650E8FF7A200D88232 /* AIUtilities.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = FCB319620E8FF7A200D88232 /* AIUtilities.framework */; };
@@ -25,4 +26,6 @@
 		8D5B49B7048680CD000E48DA /* Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
 		D2F7E65807B2D6F200F64583 /* CoreData.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreData.framework; path = /System/Library/Frameworks/CoreData.framework; sourceTree = "<absolute>"; };
+		FC19835E0E900AF10021C71E /* AILogSizeSort.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AILogSizeSort.h; sourceTree = "<group>"; };
+		FC19835F0E900AF10021C71E /* AILogSizeSort.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AILogSizeSort.m; sourceTree = "<group>"; };
 		FCB319610E8FF7A200D88232 /* Adium.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = Adium.framework; sourceTree = "<group>"; };
 		FCB319620E8FF7A200D88232 /* AIUtilities.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = AIUtilities.framework; sourceTree = "<group>"; };
@@ -85,4 +88,6 @@
 				FCB319720E8FF80C00D88232 /* ABSortByLogSizePlugin.h */,
 				FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */,
+				FC19835E0E900AF10021C71E /* AILogSizeSort.h */,
+				FC19835F0E900AF10021C71E /* AILogSizeSort.m */,
 			);
 			name = Classes;
@@ -178,4 +183,5 @@
 			files = (
 				FCB319740E8FF80C00D88232 /* ABSortByLogSizePlugin.m in Sources */,
+				FC1983600E900AF10021C71E /* AILogSizeSort.m in Sources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
Index: /Trunk/SortByLogSizePlugin.xcodeproj/jon.pbxuser
===================================================================
--- /Trunk/SortByLogSizePlugin.xcodeproj/jon.pbxuser	(revision 2)
+++ /Trunk/SortByLogSizePlugin.xcodeproj/jon.pbxuser	(revision 3)
@@ -31,4 +31,28 @@
 				);
 			};
+			PBXConfiguration.PBXFileTableDataSource3.XCSCMDataSource = {
+				PBXFileTableDataSourceColumnSortingDirectionKey = "-1";
+				PBXFileTableDataSourceColumnSortingKey = PBXFileDataSource_Filename_ColumnID;
+				PBXFileTableDataSourceColumnWidthsKey = (
+					20,
+					20,
+					468,
+					20,
+					48.16259765625,
+					43,
+					43,
+					20,
+				);
+				PBXFileTableDataSourceColumnsKey = (
+					PBXFileDataSource_SCM_ColumnID,
+					PBXFileDataSource_FiletypeID,
+					PBXFileDataSource_Filename_ColumnID,
+					PBXFileDataSource_Built_ColumnID,
+					PBXFileDataSource_ObjectSize_ColumnID,
+					PBXFileDataSource_Errors_ColumnID,
+					PBXFileDataSource_Warnings_ColumnID,
+					PBXFileDataSource_Target_ColumnID,
+				);
+			};
 			PBXConfiguration.PBXTargetDataSource.PBXTargetDataSource = {
 				PBXFileTableDataSourceColumnSortingDirectionKey = "-1";
@@ -53,26 +77,101 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 244320014;
-			PBXWorkspaceStateSaveDate = 244320014;
+			PBXPerProjectTemplateStateSaveDate = 244320436;
+			PBXWorkspaceStateSaveDate = 244320436;
 		};
 		perUserProjectItems = {
-			FCB319800E8FF8EB00D88232 /* PBXTextBookmark */ = FCB319800E8FF8EB00D88232 /* PBXTextBookmark */;
-			FCB319830E8FF8EB00D88232 /* PBXTextBookmark */ = FCB319830E8FF8EB00D88232 /* PBXTextBookmark */;
-			FCB319840E8FF8EB00D88232 /* PBXTextBookmark */ = FCB319840E8FF8EB00D88232 /* PBXTextBookmark */;
-			FCB31A090E8FFC7B00D88232 /* PBXTextBookmark */ = FCB31A090E8FFC7B00D88232 /* PBXTextBookmark */;
-			FCB31A0D0E8FFC7B00D88232 /* PBXTextBookmark */ = FCB31A0D0E8FFC7B00D88232 /* PBXTextBookmark */;
-			FCB31A800E8FFD6200D88232 /* PBXTextBookmark */ = FCB31A800E8FFD6200D88232 /* PBXTextBookmark */;
-			FCB31A810E8FFD6200D88232 /* PBXTextBookmark */ = FCB31A810E8FFD6200D88232 /* PBXTextBookmark */;
-			FCB31AA90E9001E700D88232 /* PBXTextBookmark */ = FCB31AA90E9001E700D88232 /* PBXTextBookmark */;
-			FCB31AAA0E9001E700D88232 /* PBXTextBookmark */ = FCB31AAA0E9001E700D88232 /* PBXTextBookmark */;
-			FCB31D7F0E90072D00D88232 /* PBXTextBookmark */ = FCB31D7F0E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D810E90072D00D88232 /* PBXTextBookmark */ = FCB31D810E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D830E90072D00D88232 /* PBXTextBookmark */ = FCB31D830E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D850E90072D00D88232 /* PBXTextBookmark */ = FCB31D850E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D860E90072D00D88232 /* PBXTextBookmark */ = FCB31D860E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D870E90072D00D88232 /* PBXTextBookmark */ = FCB31D870E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D890E90072D00D88232 /* PBXTextBookmark */ = FCB31D890E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D8B0E90072D00D88232 /* PBXTextBookmark */ = FCB31D8B0E90072D00D88232 /* PBXTextBookmark */;
-			FCB31D940E9007A200D88232 /* PBXTextBookmark */ = FCB31D940E9007A200D88232 /* PBXTextBookmark */;
+			FC1981870E9008FF0021C71E /* PBXTextBookmark */ = FC1981870E9008FF0021C71E /* PBXTextBookmark */;
+			FC1983610E900B130021C71E /* PBXTextBookmark */ = FC1983610E900B130021C71E /* PBXTextBookmark */;
+			FC1983630E900B130021C71E /* PBXTextBookmark */ = FC1983630E900B130021C71E /* PBXTextBookmark */;
+			FC1983650E900B130021C71E /* PBXTextBookmark */ = FC1983650E900B130021C71E /* PBXTextBookmark */;
+			FC1983660E900B130021C71E /* PBXTextBookmark */ = FC1983660E900B130021C71E /* PBXTextBookmark */;
+			FC1983670E900B130021C71E /* PBXTextBookmark */ = FC1983670E900B130021C71E /* PBXTextBookmark */;
+			FC1983680E900B130021C71E /* PBXTextBookmark */ = FC1983680E900B130021C71E /* PBXTextBookmark */;
+			FC19836A0E900B130021C71E /* PBXTextBookmark */ = FC19836A0E900B130021C71E /* PBXTextBookmark */;
+			FC19836C0E900B130021C71E /* PBXTextBookmark */ = FC19836C0E900B130021C71E /* PBXTextBookmark */;
+			FC19836D0E900B130021C71E /* PBXTextBookmark */ = FC19836D0E900B130021C71E /* PBXTextBookmark */;
+			FC1983B30E9014CB0021C71E /* PBXTextBookmark */ = FC1983B30E9014CB0021C71E /* PBXTextBookmark */;
+			FC1983B40E9014CB0021C71E /* PBXTextBookmark */ = FC1983B40E9014CB0021C71E /* PBXTextBookmark */;
+			FC1983B50E9014CB0021C71E /* PBXTextBookmark */ = FC1983B50E9014CB0021C71E /* PBXTextBookmark */;
+			FC1983BC0E9016AA0021C71E /* PBXTextBookmark */ = FC1983BC0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983BD0E9016AA0021C71E /* PBXTextBookmark */ = FC1983BD0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983BE0E9016AA0021C71E /* PBXTextBookmark */ = FC1983BE0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C00E9016AA0021C71E /* PBXTextBookmark */ = FC1983C00E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C10E9016AA0021C71E /* PBXTextBookmark */ = FC1983C10E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C20E9016AA0021C71E /* PBXTextBookmark */ = FC1983C20E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C30E9016AA0021C71E /* PBXTextBookmark */ = FC1983C30E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C40E9016AA0021C71E /* PBXTextBookmark */ = FC1983C40E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C50E9016AA0021C71E /* PBXTextBookmark */ = FC1983C50E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C60E9016AA0021C71E /* PBXTextBookmark */ = FC1983C60E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C70E9016AA0021C71E /* PBXTextBookmark */ = FC1983C70E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983C80E9016AA0021C71E /* PBXTextBookmark */ = FC1983C80E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983CA0E9016AA0021C71E /* PBXTextBookmark */ = FC1983CA0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983CB0E9016AA0021C71E /* PBXTextBookmark */ = FC1983CB0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983CC0E9016AA0021C71E /* PBXTextBookmark */ = FC1983CC0E9016AA0021C71E /* PBXTextBookmark */;
+			FC1983CF0E9017C10021C71E /* PBXTextBookmark */ = FC1983CF0E9017C10021C71E /* PBXTextBookmark */;
+			FC1983D50E9018010021C71E /* PBXTextBookmark */ = FC1983D50E9018010021C71E /* PBXTextBookmark */;
+			FC1983D60E9018010021C71E /* PBXTextBookmark */ = FC1983D60E9018010021C71E /* PBXTextBookmark */;
+			FC1983D70E9018A60021C71E /* PBXTextBookmark */ = FC1983D70E9018A60021C71E /* PBXTextBookmark */;
+			FC1983D80E9018A60021C71E /* PBXTextBookmark */ = FC1983D80E9018A60021C71E /* PBXTextBookmark */;
+			FC1983DA0E9018A60021C71E /* PBXTextBookmark */ = FC1983DA0E9018A60021C71E /* PBXTextBookmark */;
+			FC1983DB0E9018A60021C71E /* PBXTextBookmark */ = FC1983DB0E9018A60021C71E /* PBXTextBookmark */;
+			FC1983DD0E9018B90021C71E /* PBXTextBookmark */ = FC1983DD0E9018B90021C71E /* PBXTextBookmark */;
+			FC1983DE0E9018B90021C71E /* PBXTextBookmark */ = FC1983DE0E9018B90021C71E /* PBXTextBookmark */;
+			FC1983DF0E9018B90021C71E /* PBXTextBookmark */ = FC1983DF0E9018B90021C71E /* PBXTextBookmark */;
+			FC1983F20E9018FA0021C71E /* PBXTextBookmark */ = FC1983F20E9018FA0021C71E /* PBXTextBookmark */;
+			FC1983F70E9019780021C71E /* PBXTextBookmark */ = FC1983F70E9019780021C71E /* PBXTextBookmark */;
+			FC1983F80E9019780021C71E /* PBXTextBookmark */ = FC1983F80E9019780021C71E /* PBXTextBookmark */;
+			FC1983F90E9019780021C71E /* PBXTextBookmark */ = FC1983F90E9019780021C71E /* PBXTextBookmark */;
+			FC1983FA0E9019780021C71E /* PBXTextBookmark */ = FC1983FA0E9019780021C71E /* PBXTextBookmark */;
+			FC1984050E901A050021C71E /* PBXTextBookmark */ = FC1984050E901A050021C71E /* PBXTextBookmark */;
+			FC1984060E901A050021C71E /* PBXTextBookmark */ = FC1984060E901A050021C71E /* PBXTextBookmark */;
+			FC1984070E901A050021C71E /* PBXTextBookmark */ = FC1984070E901A050021C71E /* PBXTextBookmark */;
+			FC1984080E901A050021C71E /* PBXTextBookmark */ = FC1984080E901A050021C71E /* PBXTextBookmark */;
+			FC1984090E901A060021C71E /* PBXTextBookmark */ = FC1984090E901A060021C71E /* PBXTextBookmark */;
+			FC19840A0E901A060021C71E /* PBXTextBookmark */ = FC19840A0E901A060021C71E /* PBXTextBookmark */;
+			FC19840B0E901A060021C71E /* PBXTextBookmark */ = FC19840B0E901A060021C71E /* PBXTextBookmark */;
+			FC19840C0E901A060021C71E /* PBXTextBookmark */ = FC19840C0E901A060021C71E /* PBXTextBookmark */;
+			FC19840D0E901A060021C71E /* PBXTextBookmark */ = FC19840D0E901A060021C71E /* PBXTextBookmark */;
+			FC19840E0E901A060021C71E /* PBXTextBookmark */ = FC19840E0E901A060021C71E /* PBXTextBookmark */;
+			FC19840F0E901A060021C71E /* PBXTextBookmark */ = FC19840F0E901A060021C71E /* PBXTextBookmark */;
+			FC1984100E901A060021C71E /* PBXTextBookmark */ = FC1984100E901A060021C71E /* PBXTextBookmark */;
+			FC1984110E901A060021C71E /* PBXTextBookmark */ = FC1984110E901A060021C71E /* PBXTextBookmark */;
+			FC1984120E901B780021C71E /* PBXTextBookmark */ = FC1984120E901B780021C71E /* PBXTextBookmark */;
+			FC1984130E901B780021C71E /* PBXTextBookmark */ = FC1984130E901B780021C71E /* PBXTextBookmark */;
+			FC1984140E901B780021C71E /* PBXTextBookmark */ = FC1984140E901B780021C71E /* PBXTextBookmark */;
+			FC1984150E901B780021C71E /* PBXTextBookmark */ = FC1984150E901B780021C71E /* PBXTextBookmark */;
+			FC1984160E901B780021C71E /* PBXTextBookmark */ = FC1984160E901B780021C71E /* PBXTextBookmark */;
+			FC1984180E901CE00021C71E /* PBXTextBookmark */ = FC1984180E901CE00021C71E /* PBXTextBookmark */;
+			FC1984190E901CE00021C71E /* PBXTextBookmark */ = FC1984190E901CE00021C71E /* PBXTextBookmark */;
+			FC19841A0E901CE00021C71E /* PBXTextBookmark */ = FC19841A0E901CE00021C71E /* PBXTextBookmark */;
+			FC19841B0E901CE00021C71E /* PBXTextBookmark */ = FC19841B0E901CE00021C71E /* PBXTextBookmark */;
+			FC19841E0E901CF30021C71E /* PBXTextBookmark */ = FC19841E0E901CF30021C71E /* PBXTextBookmark */;
+			FC1984200E901EE10021C71E /* PBXTextBookmark */ = FC1984200E901EE10021C71E /* PBXTextBookmark */;
+			FC1984230E901F6A0021C71E /* PBXTextBookmark */ = FC1984230E901F6A0021C71E /* PBXTextBookmark */;
+			FC1984240E901F6A0021C71E /* PBXTextBookmark */ = FC1984240E901F6A0021C71E /* PBXTextBookmark */;
+			FC1984250E901F6A0021C71E /* PBXTextBookmark */ = FC1984250E901F6A0021C71E /* PBXTextBookmark */;
+			FC1984260E901F6A0021C71E /* PBXTextBookmark */ = FC1984260E901F6A0021C71E /* PBXTextBookmark */;
+			FC1984280E9020140021C71E /* PBXTextBookmark */ = FC1984280E9020140021C71E /* PBXTextBookmark */;
+			FC1984290E9020140021C71E /* PBXTextBookmark */ = FC1984290E9020140021C71E /* PBXTextBookmark */;
+			FC19842A0E9020140021C71E /* PBXTextBookmark */ = FC19842A0E9020140021C71E /* PBXTextBookmark */;
+			FC19842B0E9020140021C71E /* PBXTextBookmark */ = FC19842B0E9020140021C71E /* PBXTextBookmark */;
+			FCB319800E8FF8EB00D88232 = FCB319800E8FF8EB00D88232 /* PBXTextBookmark */;
+			FCB319830E8FF8EB00D88232 = FCB319830E8FF8EB00D88232 /* PBXTextBookmark */;
+			FCB319840E8FF8EB00D88232 = FCB319840E8FF8EB00D88232 /* PBXTextBookmark */;
+			FCB31A090E8FFC7B00D88232 = FCB31A090E8FFC7B00D88232 /* PBXTextBookmark */;
+			FCB31A0D0E8FFC7B00D88232 = FCB31A0D0E8FFC7B00D88232 /* PBXTextBookmark */;
+			FCB31A800E8FFD6200D88232 = FCB31A800E8FFD6200D88232 /* PBXTextBookmark */;
+			FCB31A810E8FFD6200D88232 = FCB31A810E8FFD6200D88232 /* PBXTextBookmark */;
+			FCB31AA90E9001E700D88232 = FCB31AA90E9001E700D88232 /* PBXTextBookmark */;
+			FCB31AAA0E9001E700D88232 = FCB31AAA0E9001E700D88232 /* PBXTextBookmark */;
+			FCB31D7F0E90072D00D88232 = FCB31D7F0E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D810E90072D00D88232 = FCB31D810E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D830E90072D00D88232 = FCB31D830E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D850E90072D00D88232 = FCB31D850E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D860E90072D00D88232 = FCB31D860E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D870E90072D00D88232 = FCB31D870E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D890E90072D00D88232 = FCB31D890E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D8B0E90072D00D88232 = FCB31D8B0E90072D00D88232 /* PBXTextBookmark */;
+			FCB31D940E9007A200D88232 = FCB31D940E9007A200D88232 /* PBXTextBookmark */;
 		};
 		sourceControlManager = FC880A0B0E8FF7640064FEBE /* Source Control */;
@@ -87,4 +186,821 @@
 			sepNavWindowFrame = "{{65, 273}, {750, 558}}";
 		};
+	};
+	FC1981870E9008FF0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 19";
+		rLen = 0;
+		rLoc = 534;
+		rType = 0;
+		vrLen = 599;
+		vrLoc = 0;
+	};
+	FC19835E0E900AF10021C71E /* AILogSizeSort.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {670, 444}}";
+			sepNavSelRange = "{230, 0}";
+			sepNavVisRange = "{0, 239}";
+		};
+	};
+	FC19835F0E900AF10021C71E /* AILogSizeSort.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {670, 1498}}";
+			sepNavSelRange = "{872, 0}";
+			sepNavVisRange = "{657, 530}";
+		};
+	};
+	FC1983610E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983620E900B130021C71E /* AISortController.h */;
+		name = "AISortController.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 939;
+		vrLoc = 1143;
+	};
+	FC1983620E900B130021C71E /* AISortController.h */ = {
+		isa = PBXFileReference;
+		name = AISortController.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AISortController.h;
+		sourceTree = "<absolute>";
+	};
+	FC1983630E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983640E900B130021C71E /* AIContactControllerProtocol.h */;
+		name = "AIContactControllerProtocol.h: 119";
+		rLen = 26;
+		rLoc = 5410;
+		rType = 0;
+		vrLen = 1892;
+		vrLoc = 4626;
+	};
+	FC1983640E900B130021C71E /* AIContactControllerProtocol.h */ = {
+		isa = PBXFileReference;
+		name = AIContactControllerProtocol.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIContactControllerProtocol.h;
+		sourceTree = "<absolute>";
+	};
+	FC1983650E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 226;
+		vrLoc = 0;
+	};
+	FC1983660E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 19";
+		rLen = 0;
+		rLoc = 534;
+		rType = 0;
+		vrLen = 477;
+		vrLoc = 393;
+	};
+	FC1983670E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 19";
+		rLen = 0;
+		rLoc = 534;
+		rType = 0;
+		vrLen = 476;
+		vrLoc = 394;
+	};
+	FC1983680E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983690E900B130021C71E /* AISortController.h */;
+		name = "AISortController.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 939;
+		vrLoc = 1143;
+	};
+	FC1983690E900B130021C71E /* AISortController.h */ = {
+		isa = PBXFileReference;
+		name = AISortController.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AISortController.h;
+		sourceTree = "<absolute>";
+	};
+	FC19836A0E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19836B0E900B130021C71E /* AIContactControllerProtocol.h */;
+		name = "AIContactControllerProtocol.h: 119";
+		rLen = 26;
+		rLoc = 5410;
+		rType = 0;
+		vrLen = 1892;
+		vrLoc = 4626;
+	};
+	FC19836B0E900B130021C71E /* AIContactControllerProtocol.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = AIContactControllerProtocol.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIContactControllerProtocol.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {930, 2268}}";
+			sepNavSelRange = "{5410, 26}";
+			sepNavVisRange = "{4105, 1820}";
+		};
+	};
+	FC19836C0E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 226;
+		vrLoc = 0;
+	};
+	FC19836D0E900B130021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 697;
+		vrLoc = 0;
+	};
+	FC1983B30E9014CB0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 697;
+		vrLoc = 0;
+	};
+	FC1983B40E9014CB0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 697;
+		vrLoc = 0;
+	};
+	FC1983B50E9014CB0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 11";
+		rLen = 0;
+		rLoc = 227;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1983BC0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 100";
+		rLen = 0;
+		rLoc = 2070;
+		rType = 0;
+		vrLen = 444;
+		vrLoc = 1376;
+	};
+	FC1983BD0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1983BE0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983BF0E9016AA0021C71E /* AIAdvancedPreferencePane.h */;
+		name = "AIAdvancedPreferencePane.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 305;
+		vrLoc = 0;
+	};
+	FC1983BF0E9016AA0021C71E /* AIAdvancedPreferencePane.h */ = {
+		isa = PBXFileReference;
+		name = AIAdvancedPreferencePane.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIAdvancedPreferencePane.h;
+		sourceTree = "<absolute>";
+	};
+	FC1983C00E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19836B0E900B130021C71E /* AIContactControllerProtocol.h */;
+		name = "AIContactControllerProtocol.h: 119";
+		rLen = 26;
+		rLoc = 5410;
+		rType = 0;
+		vrLen = 1820;
+		vrLoc = 4105;
+	};
+	FC1983C10E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319720E8FF80C00D88232 /* ABSortByLogSizePlugin.h */;
+		name = "ABSortByLogSizePlugin.h: 6";
+		rLen = 0;
+		rLoc = 128;
+		rType = 0;
+		vrLen = 261;
+		vrLoc = 0;
+	};
+	FC1983C20E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 602;
+		rType = 0;
+		vrLen = 573;
+		vrLoc = 152;
+	};
+	FC1983C30E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 11";
+		rLen = 0;
+		rLoc = 227;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1983C40E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 100";
+		rLen = 0;
+		rLoc = 2070;
+		rType = 0;
+		vrLen = 444;
+		vrLoc = 1376;
+	};
+	FC1983C50E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 697;
+		vrLoc = 0;
+	};
+	FC1983C60E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1983C70E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 602;
+		rType = 0;
+		vrLen = 573;
+		vrLoc = 152;
+	};
+	FC1983C80E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983C90E9016AA0021C71E /* AIAdvancedPreferencePane.h */;
+		name = "AIAdvancedPreferencePane.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 305;
+		vrLoc = 0;
+	};
+	FC1983C90E9016AA0021C71E /* AIAdvancedPreferencePane.h */ = {
+		isa = PBXFileReference;
+		name = AIAdvancedPreferencePane.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIAdvancedPreferencePane.h;
+		sourceTree = "<absolute>";
+	};
+	FC1983CA0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19836B0E900B130021C71E /* AIContactControllerProtocol.h */;
+		name = "AIContactControllerProtocol.h: 119";
+		rLen = 26;
+		rLoc = 5410;
+		rType = 0;
+		vrLen = 1820;
+		vrLoc = 4105;
+	};
+	FC1983CB0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319720E8FF80C00D88232 /* ABSortByLogSizePlugin.h */;
+		name = "ABSortByLogSizePlugin.h: 6";
+		rLen = 0;
+		rLoc = 128;
+		rType = 0;
+		vrLen = 261;
+		vrLoc = 0;
+	};
+	FC1983CC0E9016AA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 23";
+		rLen = 0;
+		rLoc = 636;
+		rType = 0;
+		vrLen = 571;
+		vrLoc = 152;
+	};
+	FC1983CF0E9017C10021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 18";
+		rLen = 0;
+		rLoc = 472;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 152;
+	};
+	FC1983D50E9018010021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: implicit declaration of function âAILocalizedStringâ";
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		rLen = 1;
+		rLoc = 39;
+		rType = 1;
+	};
+	FC1983D60E9018010021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 34";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 192;
+		vrLoc = 450;
+	};
+	FC1983D70E9018A60021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 34";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 192;
+		vrLoc = 450;
+	};
+	FC1983D80E9018A60021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: syntax error before âNSUIntegerâ";
+		fRef = FC1983D90E9018A60021C71E /* AIListObject.h */;
+		rLen = 1;
+		rLoc = 50;
+		rType = 1;
+	};
+	FC1983D90E9018A60021C71E /* AIListObject.h */ = {
+		isa = PBXFileReference;
+		name = AIListObject.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIListObject.h;
+		sourceTree = "<absolute>";
+	};
+	FC1983DA0E9018A60021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 34";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 192;
+		vrLoc = 450;
+	};
+	FC1983DB0E9018A60021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 51";
+		rLen = 58;
+		rLoc = 1738;
+		rType = 0;
+		vrLen = 534;
+		vrLoc = 1502;
+	};
+	FC1983DC0E9018A60021C71E /* AIListObject.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = AIListObject.h;
+		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIListObject.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {642, 2646}}";
+			sepNavSelRange = "{1738, 58}";
+			sepNavVisRange = "{1502, 534}";
+			sepNavWindowFrame = "{{19, 315}, {750, 558}}";
+		};
+	};
+	FC1983DD0E9018B90021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 19";
+		rLen = 0;
+		rLoc = 473;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 152;
+	};
+	FC1983DE0E9018B90021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 19";
+		rLen = 0;
+		rLoc = 473;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 152;
+	};
+	FC1983DF0E9018B90021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 9";
+		rLen = 0;
+		rLoc = 262;
+		rType = 0;
+		vrLen = 570;
+		vrLoc = 0;
+	};
+	FC1983F20E9018FA0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 10";
+		rLen = 0;
+		rLoc = 435;
+		rType = 0;
+		vrLen = 570;
+		vrLoc = 0;
+	};
+	FC1983F70E9019780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 37";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 274;
+		vrLoc = 647;
+	};
+	FC1983F80E9019780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: syntax error before âNSUIntegerâ";
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		rLen = 1;
+		rLoc = 50;
+		rType = 1;
+	};
+	FC1983F90E9019780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 37";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 274;
+		vrLoc = 647;
+	};
+	FC1983FA0E9019780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 51";
+		rLen = 58;
+		rLoc = 1738;
+		rType = 0;
+		vrLen = 534;
+		vrLoc = 1502;
+	};
+	FC1984050E901A050021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 51";
+		rLen = 58;
+		rLoc = 1738;
+		rType = 0;
+		vrLen = 534;
+		vrLoc = 1502;
+	};
+	FC1984060E901A050021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: implicit declaration of function âAILocalizedStringâ";
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		rLen = 1;
+		rLoc = 39;
+		rType = 1;
+	};
+	FC1984070E901A050021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 51";
+		rLen = 58;
+		rLoc = 1738;
+		rType = 0;
+		vrLen = 534;
+		vrLoc = 1502;
+	};
+	FC1984080E901A050021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 39";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 208;
+		vrLoc = 718;
+	};
+	FC1984090E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 13";
+		rLen = 0;
+		rLoc = 677;
+		rType = 0;
+		vrLen = 1268;
+		vrLoc = 0;
+	};
+	FC19840A0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 16";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 667;
+		vrLoc = 152;
+	};
+	FC19840B0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 14";
+		rLen = 0;
+		rLoc = 435;
+		rType = 0;
+		vrLen = 647;
+		vrLoc = 0;
+	};
+	FC19840C0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC1983DC0E9018A60021C71E /* AIListObject.h */;
+		name = "AIListObject.h: 13";
+		rLen = 0;
+		rLoc = 677;
+		rType = 0;
+		vrLen = 1268;
+		vrLoc = 0;
+	};
+	FC19840D0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 14";
+		rLen = 0;
+		rLoc = 435;
+		rType = 0;
+		vrLen = 647;
+		vrLoc = 0;
+	};
+	FC19840E0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 17";
+		rLen = 0;
+		rLoc = 426;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 152;
+	};
+	FC19840F0E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 14";
+		rLen = 0;
+		rLoc = 435;
+		rType = 0;
+		vrLen = 647;
+		vrLoc = 0;
+	};
+	FC1984100E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 16";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 667;
+		vrLoc = 152;
+	};
+	FC1984110E901A060021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 39";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 520;
+		vrLoc = 583;
+	};
+	FC1984120E901B780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 39";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 520;
+		vrLoc = 583;
+	};
+	FC1984130E901B780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1984140E901B780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 39";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 520;
+		vrLoc = 583;
+	};
+	FC1984150E901B780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1984160E901B780021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 24";
+		rLen = 0;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 721;
+		vrLoc = 98;
+	};
+	FC1984180E901CE00021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 24";
+		rLen = 0;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 761;
+		vrLoc = 0;
+	};
+	FC1984190E901CE00021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 39";
+		rLen = 64;
+		rLoc = 826;
+		rType = 0;
+		vrLen = 520;
+		vrLoc = 583;
+	};
+	FC19841A0E901CE00021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */;
+		name = "ABSortByLogSizePlugin.m: 24";
+		rLen = 0;
+		rLoc = 535;
+		rType = 0;
+		vrLen = 761;
+		vrLoc = 0;
+	};
+	FC19841B0E901CE00021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 66";
+		rLen = 0;
+		rLoc = 1511;
+		rType = 0;
+		vrLen = 636;
+		vrLoc = 1098;
+	};
+	FC19841E0E901CF30021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 66";
+		rLen = 0;
+		rLoc = 1511;
+		rType = 0;
+		vrLen = 669;
+		vrLoc = 1098;
+	};
+	FC1984200E901EE10021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 12";
+		rLen = 0;
+		rLoc = 262;
+		rType = 0;
+		vrLen = 736;
+		vrLoc = 0;
+	};
+	FC1984230E901F6A0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 6";
+		rLen = 0;
+		rLoc = 121;
+		rType = 0;
+		vrLen = 731;
+		vrLoc = 0;
+	};
+	FC1984240E901F6A0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	FC1984250E901F6A0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 6";
+		rLen = 0;
+		rLoc = 121;
+		rType = 0;
+		vrLen = 731;
+		vrLoc = 0;
+	};
+	FC1984260E901F6A0021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 1;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 239;
+		vrLoc = 0;
+	};
+	FC1984280E9020140021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 239;
+		vrLoc = 0;
+	};
+	FC1984290E9020140021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 6";
+		rLen = 0;
+		rLoc = 121;
+		rType = 0;
+		vrLen = 731;
+		vrLoc = 0;
+	};
+	FC19842A0E9020140021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835E0E900AF10021C71E /* AILogSizeSort.h */;
+		name = "AILogSizeSort.h: 13";
+		rLen = 0;
+		rLoc = 230;
+		rType = 0;
+		vrLen = 239;
+		vrLoc = 0;
+	};
+	FC19842B0E9020140021C71E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = FC19835F0E900AF10021C71E /* AILogSizeSort.m */;
+		name = "AILogSizeSort.m: 40";
+		rLen = 0;
+		rLoc = 872;
+		rType = 0;
+		vrLen = 530;
+		vrLoc = 657;
 	};
 	FC880A0B0E8FF7640064FEBE /* Source Control */ = {
@@ -110,7 +1026,7 @@
 	FCB319730E8FF80C00D88232 /* ABSortByLogSizePlugin.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {670, 686}}";
-			sepNavSelRange = "{354, 0}";
-			sepNavVisRange = "{0, 599}";
+			sepNavIntBoundsRect = "{{0, 0}, {670, 770}}";
+			sepNavSelRange = "{535, 0}";
+			sepNavVisRange = "{0, 761}";
 			sepNavWindowFrame = "{{42, 294}, {750, 558}}";
 		};
@@ -140,5 +1056,5 @@
 		rLoc = 216;
 		rType = 0;
-		vrLen = 267;
+		vrLen = 261;
 		vrLoc = 0;
 	};
@@ -199,5 +1115,5 @@
 		name = "ABSortByLogSizePlugin.m: 11";
 		rLen = 0;
-		rLoc = 354;
+		rLoc = 473;
 		rType = 0;
 		vrLen = 498;
@@ -260,4 +1176,5 @@
 	FCB31D800E90072D00D88232 /* AIAccountControllerProtocol.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = AIAccountControllerProtocol.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIAccountControllerProtocol.h;
@@ -276,4 +1193,5 @@
 	FCB31D820E90072D00D88232 /* ESContactAlertsViewController.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = ESContactAlertsViewController.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/ESContactAlertsViewController.h;
@@ -292,4 +1210,5 @@
 	FCB31D840E90072D00D88232 /* ESDebugAILog.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = ESDebugAILog.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/ESDebugAILog.h;
@@ -301,5 +1220,5 @@
 		name = "ABSortByLogSizePlugin.m: 15";
 		rLen = 0;
-		rLoc = 353;
+		rLoc = 473;
 		rType = 0;
 		vrLen = 664;
@@ -311,5 +1230,5 @@
 		name = "ABSortByLogSizePlugin.m: 15";
 		rLen = 0;
-		rLoc = 353;
+		rLoc = 473;
 		rType = 0;
 		vrLen = 664;
@@ -328,4 +1247,5 @@
 	FCB31D880E90072D00D88232 /* AIAccountControllerProtocol.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = AIAccountControllerProtocol.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/AIAccountControllerProtocol.h;
@@ -344,4 +1264,5 @@
 	FCB31D8A0E90072D00D88232 /* ESContactAlertsViewController.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = ESContactAlertsViewController.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/ESContactAlertsViewController.h;
@@ -360,4 +1281,5 @@
 	FCB31D8C0E90072D00D88232 /* ESDebugAILog.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = ESDebugAILog.h;
 		path = /Users/jon/src/SortByLogSizePlugin/Adium.framework/Headers/ESDebugAILog.h;
@@ -369,5 +1291,5 @@
 		name = "ABSortByLogSizePlugin.m: 16";
 		rLen = 0;
-		rLoc = 354;
+		rLoc = 473;
 		rType = 0;
 		vrLen = 599;
Index: /Trunk/ABSortByLogSizePlugin.m
===================================================================
--- /Trunk/ABSortByLogSizePlugin.m	(revision 2)
+++ /Trunk/ABSortByLogSizePlugin.m	(revision 3)
@@ -11,7 +11,11 @@
 
 #import "ABSortByLogSizePlugin.h"
+#import "AILogSizeSort.h"
 
+#import <AIUtilities/AITigerCompatibility.h> 
+
+#import <Adium/ESDebugAILog.h>
 #import <Adium/AISharedAdium.h>
-#import <Adium/ESDebugAILog.h>
+#import <Adium/AIContactControllerProtocol.h>
 
 @implementation ABSortByLogSizePlugin
@@ -20,4 +24,5 @@
 {
 	AILog(@"ABSortByLogSizePlugin installed.");
+	[[adium contactController] registerListSortController:[[[AILogSizeSort alloc] init] autorelease]];
 }
 
@@ -39,5 +44,5 @@
 - (NSString *)pluginDescription
 {
-	return @"Allows the contact to be sorted by transcript file size.";
+	return @"Allows the contact list to be sorted by transcript file size.";
 }
 
